Last Comment Bug 83846 - kpmg.com - does not render correctly, layers sent by server-side sniffing
: kpmg.com - does not render correctly, layers sent by server-side sniffing
Status: RESOLVED FIXED
[aok] [proprietary-html] [proprietary...
:
Product: Tech Evangelism Graveyard
Classification: Graveyard
Component: English US (show other bugs)
: unspecified
: All All
: P1 major
: ---
Assigned To: english-us
:
:
Mentors:
http://www.kpmg.com
: 95305 126420 132918 143893 150694 324935 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-02 14:37 PDT by Sujit Mathew
Modified: 2015-04-19 23:39 PDT (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
This is how it looks in mozilla 1.4 (49.92 KB, image/jpeg)
2003-07-07 08:10 PDT, ian
no flags Details
What it looks like in ie 6 (98.01 KB, image/jpeg)
2003-07-07 08:14 PDT, ian
no flags Details

Description Sujit Mathew 2001-06-02 14:37:24 PDT
The KPMG website does not render properly.

The Build ID i am using is 2001060120.
Comment 1 Boris Zbarsky [:bz] (still a bit busy) 2001-06-02 20:55:03 PDT
Could you be a little more specific? What renders wrong?  Screenshots would be 
nice.

This would be especially helpful because the site in question times out for me 
when I try to access it.
Comment 2 Sujit Mathew 2001-06-03 12:18:22 PDT
When I enter http://www.kpmg.com, only the menus appear(HOME, GLOBAL SERVICES, 
ABOUT KPMG...etc) But there is no content however. In fact, none of the 
javascript works correctly either. For instance, the menu scroller. (the yellow 
rectangle which follows the mouse when you go over the menu.) Can anyone 
reproduce this?
Comment 3 Mats Palmgren (:mats) 2001-06-03 16:44:04 PDT
If you scroll down you will see the content. The site is using "client sniffing"
and feeds Mozilla content that has <LAYER> elements. If you look at the
content that is fed to IE it's using absolutly positioned <DIV>s instead.
This is a site problem - not a bug in Mozilla.
Reassigning to Evangelism.
Comment 4 Bob Clary [:bc:] 2001-07-10 07:57:48 PDT
Contacted via web form 7/10/01.
Comment 5 Bob Clary [:bc:] 2001-08-10 19:01:11 PDT
All Evangelism Bugs are now in the Product Tech Evangelism. See bug 86997 for
details.
Comment 6 Bob Clary [:bc:] 2001-08-17 11:06:05 PDT
follow up with these sites by 0.9.5
Comment 7 Bob Clary [:bc:] 2001-09-25 08:27:17 PDT
*** Bug 95305 has been marked as a duplicate of this bug. ***
Comment 8 Bob Clary [:bc:] 2001-10-04 15:24:04 PDT
-> 0.9.6, need to follow up on these asap
Comment 9 Tony Gorman 2001-11-11 03:29:24 PST
Still no change as of build 2001110703
Comment 10 Doron Rosenberg (IBM) 2001-11-14 09:58:32 PST
resetting bug, they now block us
Comment 11 Doron Rosenberg (IBM) 2001-12-02 04:55:43 PST
actualy, they only block 6.x
Comment 12 R.K.Aa. 2002-02-19 07:33:39 PST
*** Bug 126420 has been marked as a duplicate of this bug. ***
Comment 13 R.K.Aa. 2002-05-12 10:57:41 PDT
*** Bug 143893 has been marked as a duplicate of this bug. ***
Comment 14 R.K.Aa. 2002-05-25 05:51:08 PDT
*** Bug 132918 has been marked as a duplicate of this bug. ***
Comment 15 James Moore 2002-05-31 21:06:11 PDT
Just thought I'd add, as of today with the RC3 build (2002052306), www.kpmg.com
looks severely bad - :-( .  Fully none of the page is rendered properly -- looks
awful.  
Comment 16 Christopher Whitt 2002-06-20 08:11:43 PDT
This also affects the regional site kpmg.ca, and others I presume.
Comment 17 Eric A. Meyer (dead account) 2002-09-22 12:01:19 PDT
I hacked together a fix in about 2.5 hours; it can be found at 
http://www.meyerweb.com/eric/fixed/kpmg/index.html .  I didn't adjust the 
scrolling speed of any dynamic elements, so it does show the 
sluggishness of Mozilla at DHTML.  But the page renders "correctly" and 
acts as expected.  I'll be contacting them shortly with the same 
information.
Comment 18 stephend@netscape.com (gone - use stephen.donner@gmail.com instead) 2002-10-02 15:14:21 PDT
Just a note that KPMG Consulting is now known as BearingPoint, and as such has a
new web presence: http://www.bearingpoint.com/index.asp

I'm guessing that the old domain of http://www.kpmg.com will use a META 302
redirect into the new URL.

The new site appears to work fine with Moz, though I haven't compared its DHTML
with IE.
Comment 19 Frankie 2003-04-30 17:32:44 PDT
*** Bug 150694 has been marked as a duplicate of this bug. ***
Comment 20 Bob Clary [:bc:] 2003-06-12 07:22:48 PDT
tech evang june 2003 reorg
Comment 21 ian 2003-07-07 08:10:59 PDT
Created attachment 127172 [details]
This is how it looks in mozilla 1.4

Notice how the javascript menus are included in the main page
Comment 22 ian 2003-07-07 08:14:23 PDT
Created attachment 127173 [details]
What it looks like in ie 6
Comment 23 dave 2003-11-06 06:44:47 PST
www.kpmg.com have updated their site and it doesnt seem to render at all in
Mozilla. I get a blank page and nothing else. Can anyone else confirm this?

NB: KPMG is a seperate company than BearingPoint
Comment 24 Marek Stępień [:marcoos, inactive] 2004-04-16 06:58:49 PDT
(In reply to comment #23)

I also get a blank page on Firefox-trunk and Netscape 7.1.
Comment 25 Galen Swint 2004-08-24 08:26:21 PDT
Me, too. kpmg.com does not render at all in Firefox 0.9
Comment 26 Cody 'codeman38' Boisclair 2004-09-14 10:32:24 PDT
Still broken. It appears to do server-side browser sniffing and links a
different JavaScript depending on the user agent... except that the script it
links for Mozilla, /scriptlib/gk.js, doesn't actually exist. Ooops.
Comment 27 dave 2004-09-16 14:28:19 PDT
sent them an email+screenshot to webmaster@
Comment 28 dave 2004-09-17 11:58:35 PDT
From:	"US-KPMG Webmaster" <webmaster@kpmg.com>
Subject:RE: Major website issues when viewed with Mozilla & Firefox browsers
Date:	Fri, 17 Sep 2004 13:25:35 -0400

Currently, we only support Internet Explorer versions 5.5 and 6.0.
Thank you for your interest in KPMG and for your Service Inquiry. 

US-KPMG Webmaster
Comment 29 Adam Guthrie 2006-01-28 12:25:35 PST
*** Bug 324935 has been marked as a duplicate of this bug. ***
Comment 30 Chris Lawson (gone) 2007-06-18 02:58:23 PDT
This looks pretty much fixed in both Firefox 2 and Camino-trunk these days. I don't have WinIE around for comparison, but the site isn't really what I would call "broken" either.
Comment 31 Bob Clary [:bc:] 2007-06-18 10:10:56 PDT
I didn't look too close but the homepage includes object based detection and it appears ok with Firefox and BonEcho ua. -> FIXED. Thanks Chris.

Note You need to log in before you can comment on or make changes to this bug.